/*******************************************************************************
 *   Theme:         Author-it Magellan Content Override Stylesheet
 *   Author:        Author-it Software Corp (http://www.author-it.com)
 *   Copyright:     Author-it Software Corp, All Rights Reserved
 *   Last Updated:  12-Apr-2020
 *   Version:       2020.R2
 *******************************************************************************/

/*#region TABLES  */
/*******************************************************************************
    This section contains styles to format tables in the Author-it generated 
    content. 

    These tables are surounded by  will all be give a class="table" and the data-width
    attribute containg the table and column width defined in Author-it.

    The selector reference is:
    
    .{topic template name} .table
        div.table-responsive
            .table 
        
 *******************************************************************************/
.table {
    margin-bottom: 0px;
}

div.table-responsive {
    margin:10px 10px 10px 0;
}

table.table {
    border-collapse: separate;
    border-spacing: 1px;
    border-radius: 4px;
    border: 2px solid var(--light-gray-color);
    background-color: var(--light-gray-color);
    table-layout: fixed;
    width: inherit;
    box-sizing: border-box;
    box-shadow: 1px 1px 3px var(--light-gray-color);
}

table.table td, table.table th {
    border: none !important;
    background-color: white;
    border-spacing: 0px;
    padding: 5px !important;
}
table.table th {
    background-color: var(--light-gray-color);
}

/* specialize tables based on topic template */
.reference .table {
    
}

/*#endregion TABLES */

/*#region LINKS  */
/*******************************************************************************
    This section contains styles to format links created in the Author-it content
    You can use the link templates as a way to reference and change link properties
    The selector reference is:

    .{link template name} a
       
 *******************************************************************************/


.popuponhovertemplate a {
    text-decoration:underline;
    text-decoration-style:dotted;
}

/*#endregion LINKS */

/*#region CONTENT  */
/*******************************************************************************
    This section contains styles to format tables in the Author-it generated 
    content. These tables will all be give a class="table" and the data-width
    attribute containg the table and column width defined in Author-it.
        
 *******************************************************************************/
/* Styles generated by Author-it HTML5 publishing can be added below*/
.bodytext {
     font-family: var(--font-families);
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    font-size: 1rem;
    color: var(--text-color);
    background-color: inherit;
    word-spacing: normal;
    letter-spacing: normal;
    vertical-align: baseline;
    text-decoration: none;
    text-transform: none;
    line-height: 1.5;
    margin-top: 6pt;
    margin-bottom: 6pt;
    margin-left: 0pt;
    margin-right: 0pt;
    padding-top: 0pt;
    padding-bottom: 0pt;
    padding-left: 0pt;
    padding-right: 0pt;
    float: none;
    clear: none;
    text-indent: 0cm;
    width: auto;
    height: auto;
    white-space: normal;
}
.bodytextright 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: normal;
        font-size: 1rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin-top: 6pt;
        margin-bottom: 6pt;
        margin-left: 0cm;
        margin-right: 0cm;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
        float: none;
        clear: none;
        text-align: right;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.strong, .specialbold
{display: inline;
     font-family: var(--font-families);
        font-weight: 600;
        color: var(--text-color);
        background-color: inherit;
        vertical-align: baseline;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
       }
ul.listbullet, ul.listbullet2, ul.listbullet3 {
    list-style-type: Square;
    list-style-image: none;
    list-style-position: outside;
    margin-top: 3pt;
    margin-bottom: 0pt;
    padding-left: 12pt;
}
li.listbullet, p.listbullet, li.listbullet2, p.listbullet2, li.listbullet3, p.listbullet3 {
     font-family: var(--font-families);
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    font-size: 1rem;
    color: var(--text-color);
    background-color: inherit;
    word-spacing: normal;
    letter-spacing: normal;
    vertical-align: baseline;
    text-decoration: none;
    text-transform: none;
    line-height: 1.5;
    margin-top: 3pt;
    margin-bottom: 0pt;
    margin-left: 0pt;
    margin-right: 0pt;
    padding-top: 0pt;
    padding-bottom: 0pt;
    padding-left: 0pt;
    padding-right: 0pt;
    float: none;
    clear: none;
    text-align: left;
    text-indent: 0cm;
    width: auto;
    height: auto;
    white-space: normal;
}


.warning, .marginnote {
     font-family: var(--font-families);
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    font-size: 1rem;
    color: var(--text-color);
    background-color: var(--primary-light-color);
    word-spacing: normal;
    letter-spacing: normal;
    vertical-align: baseline;
    text-decoration: none;
    text-transform: none;
    line-height: 1.5;
    margin-top: 6pt;
    margin-bottom: 6pt;
    margin-left: 0cm;
    margin-right: 6pt;
    padding: 10px;
    border-radius: 4px;
    float: none;
    clear: none;
    text-align: left;
    text-indent: 0cm;
    width: auto;
    height: auto;
    white-space: normal;
}
    .warning .strong {
        color: var(--text-color);
    }
    p.warning::before {
    content: '\f071';
    padding-right: 5px;
    font-family: FontAwesome;
    /*color: var(--dark-gray-color);*/
    font-weight: normal;
}

.marginnote {
     font-family: var(--font-families);
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    font-size: 1rem;
    color: var(--text-color);
    background-color: lightyellow;
    word-spacing: normal;
    letter-spacing: normal;
    vertical-align: baseline;
    text-decoration: none;
    text-transform: none;
    line-height: 1.5;
    margin-top: 6pt;
    margin-bottom: 6pt;
    margin-left: 0cm;
    margin-right: 6pt;
    padding: 10px;
    border-radius: 4px;
    float: none;
    clear: none;
    text-align: left;
    text-indent: 0cm;
    width: auto;
    height: auto;
    white-space: normal;
}
.emphasis 
{display: inline;
        font-style: italic;
        font-weight:600;
        color: inherit;
        background-color: inherit;
        vertical-align: baseline;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
       }

.superscript 
{display: inline;
        font-size: .5rem;
        color: inherit;
        background-color: inherit;
        vertical-align: super;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
       }
ul.tablelistbullet {
    list-style-type: Square;
    list-style-image: none;
    list-style-position: outside;
    margin-top: 4pt;
    margin-bottom: 0pt;
}
li.tablelistbullet, .tablelistbullet, li.s796 {
     font-family: var(--font-families);
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    font-size: 1rem;
    color: var(--text-color);
    background-color: inherit;
    word-spacing: normal;
    letter-spacing: normal;
    vertical-align: baseline;
    text-decoration: none;
    text-transform: none;
    line-height: 1.5;
    margin-top: 4pt;
    margin-bottom: 0pt;
    margin-left: 0cm;
    margin-right: 0cm;
    padding: 0pt;
    float: none;
    clear: none;
    text-align: left;
    text-indent: 0cm;
    width: auto;
    height: auto;
    white-space: normal;
}

ul.tablelistbullet, ol.tablelistbullet {
    padding-left: 12pt;
}

ol.listalpha2 
{list-style-type: Lower-Alpha;
        list-style-position: outside;
        margin-top: 6pt;
        margin-bottom: 0pt;
        }
li.listalpha2, li.s793 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: normal;
        font-size: 1rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin-top: 6pt;
        margin-bottom: 0pt;
        margin-left: 0pt;
        margin-right: 0pt;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.tableheading 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: bold;
        font-size: 1rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin: 0pt;
        padding: 0pt;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.tablebodytext 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: normal;
        font-size: 1rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin: 0pt;
        padding-top: 6pt;
        padding-bottom: 6pt;
        padding-left: 0pt;
        padding-right: 0pt;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.tablebodysmall {
        font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: normal;
        font-size: .8rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin: 0pt;
        padding-top: 6pt;
        padding-bottom: 6pt;
        padding-left: 0pt;
        padding-right: 0pt;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.expandingblock 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: normal;
        font-size: 1rem;
        color: var(--dark-gray-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin-top: 4px;
        margin-bottom: 4px;
        margin-left: 4px;
        margin-right: 4px;
        padding-top: 8px;
        padding-bottom: 8px;
        padding-left: 8px;
        padding-right: 8px;
        border-color: #AFAFAF;
        border-top-style: dotted;
        border-top-width: 1px;
        border-top-color: #AFAFAF;
        border-bottom-style: dotted;
        border-bottom-width: 1px;
        border-bottom-color: #AFAFAF;
        border-left-style: dotted;
        border-left-width: 1px;
        border-left-color: #AFAFAF;
        border-right-style: dotted;
        border-right-width: 1px;
        border-right-color: #AFAFAF;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: 90%;
        height: auto;
        white-space: normal;
       }
.keyboard 
{display: inline;
     font-family: var(--font-families);
        color: inherit;
        background-color: inherit;
        vertical-align: baseline;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
       }
.procedureheading 
{     font-family: var(--font-families);
		list-style: none;
        font-style: normal;
        font-variant: normal;
        font-weight: 600;
        font-size: 1rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin-top: 12pt;
        margin-bottom: 3pt;
        margin-left: 0cm;
        margin-right: 0cm;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }

    p.procedureheading::before {
        content: '\f0da';
        padding-right:8px;
        font-family: FontAwesome;
        /*color: var(--dark-gray-color);*/
        font-weight: bold;
    }
    
.prerequisitesheading {
    background-color: var(--light-gray-color);
    padding-top: 7px;
    padding-bottom: 7px;
    font-size: 1rem;
    margin-top: 14px;
    margin-bottom: 14px;
    padding-left: 7px;
}

ol.listnumber 
{list-style-type: Decimal;
        list-style-position: outside;
        margin-top: 6pt;
        margin-bottom: 0pt;
		padding-left:12pt;
		
        }
li.listnumber, li.s561 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: normal;
        font-size: 1rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin-top: 6pt;
        margin-bottom: 0pt;
        margin-left: 0pt;
        margin-right: 0pt;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
        float: none;
        clear: none;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.note, listnote 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: normal;
        font-size: 1rem;
        color: var(--text-color);
        background-color: #DFDFDF;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin-top: 6pt;
        margin-bottom: 6pt;
        margin-left: 0cm;
        margin-right: 12pt;
        padding: 10px;
        border-radius:4px;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: 100%;
        height: auto;
        white-space: normal;
       }
.buttons 
{display: inline;
        font-weight: 600;
        color: var(--dark-gray-color);
        background-color: inherit;
        vertical-align: baseline;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
       }
.listcontinue, .listcontinue2, .listcontinue3 {
    display: block;
     font-family: var(--font-families);
    font-style: normal;
    font-variant: normal;
    font-weight: normal;
    font-size: 1rem;
    color: var(--text-color);
    background-color: inherit;
    word-spacing: normal;
    letter-spacing: normal;
    vertical-align: baseline;
    text-decoration: none;
    text-transform: none;
    line-height: 1.5;
    margin-top: 6pt;
    margin-bottom: 6pt;
    margin-left: 0cm;
    margin-right: 0cm;
    padding-top: 0pt;
    padding-bottom: 0pt;
    padding-left: 0pt;
    padding-right: 0pt;
    float: none;
    clear: none;
    text-align: left;
    text-indent: 0cm;
    width: auto;
    height: auto;
    white-space: normal;
}

.wingdings 
{display: inline;
        font-family: "Wingdings", webdings, verdana, arial, helvetica, sans-serif;
        color: var(--text-color);
        background-color: inherit;
        vertical-align: baseline;
        padding-top: 0pt;
        padding-bottom: 0pt;
        padding-left: 0pt;
        padding-right: 0pt;
       }

.heading1,h1 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: 600;
        font-size: 2.2rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin: 0rem;
        padding: 0rem;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.heading2, h2
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: 600;
        font-size: 2rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin: 0rem;
        padding:0rem;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.heading3, h3
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: 600;
        font-size: 1.8rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin: 0rem;
        padding:0rem;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.heading4, h4 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: 600;
        font-size: 1.6rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin: 0rem;
        padding:0rem;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.heading5, h5
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: 600;
        font-size: 1.4rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin: 0rem;
        padding:0rem;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.heading6, h6, .heading7, h7, .heading8, h8, .heading9, h9, .heading10, h10
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: 600;
        font-size: 1.2rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin: 0rem;
        padding:0rem;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
.subheading 
{     font-family: var(--font-families);
        font-style: normal;
        font-variant: normal;
        font-weight: 600;
        font-size: 1rem;
        color: var(--text-color);
        background-color: inherit;
        word-spacing: normal;
        letter-spacing: normal;
        vertical-align: baseline;
        text-decoration: none;
        text-transform: none;
        line-height: 1.5;
        margin-top: 0rem;
        padding: 0rem;
        float: none;
        clear: none;
        text-align: left;
        text-indent: 0cm;
        width: auto;
        height: auto;
        white-space: normal;
       }
       
.subheading,.heading1, h1,.heading2, h2,.heading3, h3,.heading4, h4,.heading5, h5,
.heading6, h6,.heading6, h6, .heading7, h7, .heading8, h8, .heading9, h9, .heading10, h10 {
    margin-top:1rem;
    margin-bottom: 0rem;
    padding-top: 1rem;
    padding-bottom: 0rem;
}

/* Margin at the end of all relevant topic templates to ensure visual seperation between topics when scrolling */
.reference, .task, .concept, .topictemplate, .releasenotes {
    margin-bottom: 2rem;
}

 
/* character styles for code samples */
.code {
    font-family: monospace;
    background: var(--light-gray-color);
    margin: 0;
    padding: 0 0 .3rem 0;
}

.codehighlight_black__000000_ {
    color: #000000;
}

.codehighlight_blue__267f99_ {
    color: #267f99;
}

.codehighlight_blue__0451a5_ {
    color: #0451a5;
}

.codehighlight_blue__0070c1_ {
    color: #0070c1;
}

.codehighlight_blue__000080_ {
    color: #000080;
}

.codehighlight_blue__001080_ {
    color: #001080;
}

.codehighlight_blue__0000ff_ {
    color: #0000ff;
}

.codehighlight_brown__d16969_ {
    color: #d16969;
}

.codehighlight_brown__795e26_ {
    color: #795e26;
}

.codehighlight_green__008000_ {
    color: #008000;
}

.codehighlight_green__098658_ {
    color: #098658;
}

.codehighlight_purple__af00db_ {
    color: #af00db;
}

.codehighlight_red__800000__ {
    color: #800000;
}

.codehighlight_red__811f3f_ {
    color: #811f3f;
}

.codehighlight_red__a31515_ {
    color: #a31515;
}

.codehighlight_red__cd3131__ {
    color: #cd3131;
}

.codehighlight_red__ee0000__ {
    color: #ee0000;
}

.codehighlight_red__ff0000__ {
    color: #ff0000;
}

/*#endregion CONTENT */

/*#region IFRAMES */

/* Styling for the iframes for API reference pages. */
/* iframe covers the entire content block. Recommended for page mode */
.APIReferenceIframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 90%;
  border: 0;
  background:white;
  z-index: 7;
 }

/* iframe is responsive, as wide as the content block, and as long as the device screen. Recommended for infinite scrolling mode */
/*
.websiteiframe {
  position: relative;
  overflow: hidden;
  width: calc(100% + 40px);  
  height: 100vh;  
  padding-top: 56.25%; /* 16:9 Aspect Ratio (divide 9 by 16 = 0.5625) */  
/*  margin-left: -20px; */
} */

/*
.APIReferenceIframe {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100%;  
  height: 100%;
  border: 0;  
} */
 
/* place share button behind API iframe */
.thisRatebox {
 z-index: 6;
}

/*#endregion IFRAMES */

/*#region VIDEOS */

/* sizing for youtube videos */
.video {
  position: relative;
   /* padding-bottom: 56.25%;
  padding-top: 30px; */
  height: 60vh;
  max-height: 607px;
  overflow: hidden;
}

.video iframe,
.author_ityoutubevideo embed {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
  height: 100%;
  max-width: 1080px;
  max-height: 607px;
}

/*#endregion VIDEOS */
